Uses of Class
de.xima.fc.api.rest.pub.client.user.ApiCall
Packages that use ApiCall
Package
Description
-
Uses of ApiCall in de.xima.fc.api.rest.pub.client.user
Subclasses of ApiCall in de.xima.fc.api.rest.pub.client.userModifier and TypeClassDescriptionclassEndpointCategoryCall<Self>Represents an API call made from a certainEndpointCategory.Methods in de.xima.fc.api.rest.pub.client.user with parameters of type ApiCallModifier and TypeMethodDescription<T> Future<ApiResponse<T>> ApiClient.invokeApiAsync(ApiCall<?> call) Invoke an API endpoint by sending an HTTP request with the given options.<T> Future<ApiResponse<T>> ApiClient.invokeApiAsync(ApiCall<?> call, javax.ws.rs.client.InvocationCallback<ApiResponse<T>> invocationCallback) Invoke an API endpoint by sending an HTTP request with the given options.<T> Future<ApiResponse<T>> DefaultApiClient.invokeApiAsync(ApiCall<?> call) <T> Future<ApiResponse<T>> DefaultApiClient.invokeApiAsync(ApiCall<?> call, javax.ws.rs.client.InvocationCallback<ApiResponse<T>> invocationCallback) <T> CompletionStage<ApiResponse<T>> ApiClient.invokeApiRx(ApiCall<?> call) Invoke an API endpoint by sending an HTTP request with the given options.<T> CompletionStage<ApiResponse<T>> DefaultApiClient.invokeApiRx(ApiCall<?> call) <T> ApiResponse<T> ApiClient.invokeApiSync(ApiCall<?> call) Invoke an API endpoint by sending an HTTP request with the given options.<T> ApiResponse<T> DefaultApiClient.invokeApiSync(ApiCall<?> call) default voidApiCallInterceptor.onBeginApiCall(ApiCall<?> call) When an API call is about to begin, before it was processed in any way.default Optional<javax.ws.rs.client.Entity<?>> ApiCallInterceptor.onEntitySerialized(ApiCall<?> call, javax.ws.rs.client.Entity<?> entity) When theEntitywas created from the data of the API call.default Optional<javax.ws.rs.client.Invocation.Builder> ApiCallInterceptor.onInvocationBuilderConfigured(ApiCall<?> call, javax.ws.rs.client.Invocation.Builder builder) When theInvocation.Builderwas created and configured with the data of the API call.default Optional<javax.ws.rs.client.WebTarget> ApiCallInterceptor.onWebTargetConfigured(ApiCall<?> call, javax.ws.rs.client.WebTarget target) When theWebTargetwas created and configured with the data of the API call.Constructors in de.xima.fc.api.rest.pub.client.user with parameters of type ApiCallModifierConstructorDescriptionDefaultApiInvocation(ApiClient apiClient, ApiCall<?> call) Creates a new wrapper for an API call to provide multiple dispatch styles. -
Uses of ApiCall in de.xima.fc.api.rest.pub.client.user.api
Subclasses of ApiCall in de.xima.fc.api.rest.pub.client.user.apiModifier and TypeClassDescriptionfinal classHandler for thegetProfileAPI method that lets you choose the content type via theAcceptheader.final classHandler for thedownloadProfileImageAPI method that lets you choose the content type via theAcceptheader. -
Uses of ApiCall in de.xima.fc.api.rest.pub.client.user.auth
Methods in de.xima.fc.api.rest.pub.client.user.auth with parameters of type ApiCallModifier and TypeMethodDescriptionvoidApiKeyAuth.applyToParams(ApiCall<?> call) voidAuthentication.applyToParams(ApiCall<?> call) Apply authentication settings to header and query params.voidHttpBasicAuth.applyToParams(ApiCall<?> call) voidHttpBearerAuth.applyToParams(ApiCall<?> call)